
%define major 1
%define libname %mklibname %name %major

Name:           avogadro
Summary:        An advanced molecular editor for chemical purposes
Group:          System/Libraries
Version:        1.0.1
Release:        %mkrel 6
License:        GPLv2
URL:            http://avogadro.openmolecules.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		avogadro-1.0.1-fix-build-with-newer-sip.patch
# (ahmad) fix crash with current SIP and Python 2.7 
# https://bugzilla.redhat.com/show_bug.cgi?id=642248
Patch3:		avogadro-1.0.1-pycapsule.patch
BuildRequires:  cmake >= 2.6.0
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
BuildRequires:  eigen2 >= 2.0.9
BuildRequires:  openbabel-devel >= 2.2.3
BuildRequires:  boost-devel >= 1.35
BuildRequires:  glew-devel >= 1.5.0
BuildRequires:  docbook-utils
BuildRequires:  python-sip
BuildRequires:  python-numpy-devel
BuildRequires:  python-devel
Requires:       openbabel >= 2.2.3
%description
An advanced molecular editor designed for cross-platform use
in computational chemistry,molecular modeling, bioinformatics,
materials science,and related areas, which offers flexible
rendering and a powerful plugin architecture.

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%name
%{_bindir}/avopkg
%{_datadir}/%name
%{_datadir}/pixmaps/%name-icon.png
%{_datadir}/applications/%name.desktop
%{_mandir}/man1/%name.1*
%{_mandir}/man1/avopkg.1*
%{python_sitelib}/Avogadro.so
%{_datadir}/libavogadro/
%dir %{_libdir}/%name/
%dir %{_libdir}/%name/1_0/
%{_libdir}/%name/1_0/colors
%{_libdir}/%name/1_0/extensions
%{_libdir}/%name/1_0/engines
%{_libdir}/%name/1_0/tools


#--------------------------------------------------------------------
%package -n %libname
Summary:        Shared libraries for Avogadro
Group:          System/Libraries

%description -n %libname
Libraries for Avogadro molecular editor.

%files -n %libname 
%defattr(-,root,root,-)
%{_libdir}/libavogadro.so.%{major}*


#--------------------------------------------------------------------
%package devel
Summary:        Development files for Avogadro
Group:          Development/C++
Requires:	%libname = %{version}-%{release}

%description devel
Development Avogadro files.

%files devel
%defattr(-,root,root,-)
%{_includedir}/%name
%{_libdir}/libavogadro.so
%{_libdir}/%name/*.cmake
%{_libdir}/%name/1_0/*.cmake
%{_libdir}/%name/1_0/cmake/
%dir %{qt4dir}/mkspecs/features/
%{qt4dir}/mkspecs/features/%name.prf


#--------------------------------------------------------------------
%prep
%setup -q
%patch0 -p0
%patch3 -p1 -b .sip

# (Fedora) nuke unpatched copy, use working version included in cmake instead
rm -f cmake/modules/FindPythonLibs.cmake

%build
%{cmake_qt4}\
	%{?ENABLE_TESTS} \
	-DENABLE_GLSL:BOOL=ON \
	-DENABLE_PYTHON:BOOL=ON \
	-DCMAKE_SKIP_RPATH:BOOL=ON

%make

%install
rm -rf %buidroot
%makeinstall_std -C build


%clean
rm -rf %buildroot


%changelog
* Sat Feb 26 2011 ahmad <ahmad> 1.0.1-6.mga1
+ Revision: 60848
- drop py27 patch not needed any more
- delete the bundled FindPythonLibs.cmake and use the working copy included with
  cmake (Fedora)
- drop cmake-rpath patch and compile with -DCMAKE_SKIP_RPATH:BOOL=ON instead
  (Fedora)
- add patch to fix crash with current SIP and Python 2.7

* Sat Feb 26 2011 mikala <mikala> 1.0.1-5.mga1
+ Revision: 60545
- Add patch2 to fix a crash on x86_64 (wrong cmake_install_rpath in upstream code)

* Sat Feb 26 2011 ahmad <ahmad> 1.0.1-4.mga1
+ Revision: 60115
- add requires on openbabl, should make the "optimize geometry" option work
  should fix (mga# 174)

* Sat Jan 22 2011 ahmad <ahmad> 1.0.1-3.mga1
+ Revision: 33275
- imported package avogadro


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.0.1-3mdv2011.0
+ Revision: 590766
- detect py 2.7
- BR python
- rebuild for py2.7

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2011.0
+ Revision: 572140
- rebuild for new boost

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 571737
- BR python-sip
- update group

  + José Melo <mmodem@mandriva.org>
    - import avogadro


